﻿using System;
using Xamarin.Forms;

namespace Magic8Ball
{
	public class MainPage : ContentPage
	{
		EightBall eightBall = new EightBall();

		public MainPage ()
		{
			var layout = new StackLayout {
				Padding = 20,
				VerticalOptions = LayoutOptions.Center
			};

			var answerButton = new Button {
				Text = "  I need an answer!  ",
				BackgroundColor = Color.Blue,
				TextColor = Color.White,
				FontSize = Device.GetNamedSize(NamedSize.Medium, typeof(Button)),
				FontAttributes = FontAttributes.Bold,
				HorizontalOptions = LayoutOptions.CenterAndExpand
			};

			var answerLabel = new Label {
				Text = " ",
				FontSize = Device.GetNamedSize(NamedSize.Large, typeof(Label)),
				FontAttributes = FontAttributes.Bold,
				HorizontalOptions = LayoutOptions.CenterAndExpand,
				XAlign = TextAlignment.Center
			};

			answerButton.Clicked += (object sender, EventArgs e) => {
				answerLabel.Text = eightBall.getAnswer();
			};

			layout.Children.Add (answerButton);
			layout.Children.Add (answerLabel); 

			Content = layout;
		}
	}
}


